Add/update metadata items for an instance.

### HTTP request

`PATCH https://notebooks.googleapis.com/v1/{name}:updateMetadataItems`

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Format: `projects/{projectId}/locations/{location}/instances/{instanceId}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `notebooks.instances.updateConfig` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "items": { string: string, ... } } ``` |

| Fields ||
|---|---|
| `items` | `map (key: string, value: string)` Metadata items to add/update for the instance. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |

### Response body

Response for adding/changing metadata items for an instance.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "items": { string: string, ... } } ``` |

| Fields ||
|---|---|
| `items` | `map (key: string, value: string)` Map of items that were added/updated to/in the metadata. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/notebooks`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).